MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027137Open CASCADE[OCCT] OCCT:Visualizationpublic2016-02-05 16:002016-04-20 15:49
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027137: Visualization - handle shadow structures within V3d_View::Gravity()
DescriptionThere are several issues within current state of this method:
- Usage of shadow structures for dynamic highlighting breaks the improvement introduced by 0025723 because Shadow Structures return empty bounding box.
- The bounding box of presentations with transformation persistence flags are handled incorrectly.
Steps To Reproducetest bugs vis bug26719_1 1

Test case A (transformation persistence):
1. Move mouse to dynamically highlight the surface.
2. Start rotation by mouse
Result: the camera jumps very far.

Test case B (gravity center by highlighted object)
1. Activate local selection for vertices.
2. Move mouse to highlight the vertex.
3. Start rotation by mouse.
Result: the camera does not ration around the vertex.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025723closedbugmaster Open CASCADE Visualization, TKV3d - the center of rotation should be calculated taking into account structure visibility and selection flags 

-  Notes
(0050449)
git (administrator)
2016-02-05 16:15

Branch CR27137 has been created by kgv.

SHA-1: cfb8792d32758dc9927814b1dc7432b1fa551ee2


Detailed log of new commits:

Author: kgv
Date: Fri Feb 5 16:15:35 2016 +0300

    0027137: Visualization - handle shadow structures within V3d_View::Gravity()
    
    OpenGl_StructureShadow - copy bounding box from parent structure.
    Prs3d_PresentationShadow::CalculateBoundBox() - do nothing.
    
    V3d_View::Gravity() - skip presentations with transformation persistence flags.
    Use cached presentation bounding box.
(0050450)
kgv (developer)
2016-02-05 16:16

Patch is ready for review.
(0050583)
git (administrator)
2016-02-10 16:19

Branch CR27137 has been updated forcibly by kgv.

SHA-1: ec92d167d3edfacde1ca16c3c8ecc38580d14f03
(0050592)
kgv (developer)
2016-02-10 17:25

Please test the patch, test case is not needed.
(0050626)
apv (tester)
2016-02-11 13:16

Dear BugMaster,

Branch CR27137 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ec92d167d3edfacde1ca16c3c8ecc38580d14f03

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 1 (1 on master)
products component:
   Linux: 36 (36 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90282871 / 89920324 [+0.40%]
Total CPU difference: 18998.74999999985 / 19072.539999999924 [-0.39%]

Testing on Windows:
Total MEMORY difference: 57303572 / 57306429 [-0.00%]
Total CPU difference: 18195.64463799878 / 18107.114070498843 [+0.49%]
(0052778)
git (administrator)
2016-04-17 12:57

Branch CR27137 has been deleted by kgv.

SHA-1: ec92d167d3edfacde1ca16c3c8ecc38580d14f03

- Related Changesets
occt: master 770fa4d4
Timestamp: 2016-02-10 13:19:20
Author: abv
Committer: abv
Details ] Diff ]
0027137: Visualization - handle shadow structures within V3d_View::Gravity()

OpenGl_StructureShadow - copy bounding box from parent structure.
Prs3d_PresentationShadow::CalculateBoundBox() - do nothing.

V3d_View::Gravity() - skip presentations with transformation persistence flags.
Use cached presentation bounding box.
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_StructureShadow.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PresentationShadow.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PresentationShadow.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-05 16:00 kgv New Issue
2016-02-05 16:00 kgv Assigned To => kgv
2016-02-05 16:00 kgv Relationship added related to 0025723
2016-02-05 16:15 git Note Added: 0050449
2016-02-05 16:16 kgv Note Added: 0050450
2016-02-05 16:16 kgv Assigned To kgv => apl
2016-02-05 16:16 kgv Status new => resolved
2016-02-05 16:17 kgv Relationship added child of 0026272
2016-02-10 16:19 git Note Added: 0050583
2016-02-10 17:25 kgv Note Added: 0050592
2016-02-10 17:25 kgv Assigned To apl => bugmaster
2016-02-10 17:25 kgv Status resolved => reviewed
2016-02-10 18:36 apv Assigned To bugmaster => apv
2016-02-11 12:44 apv Test case number => Not needed
2016-02-11 13:16 apv Note Added: 0050626
2016-02-11 13:16 apv Assigned To apv => bugmaster
2016-02-11 13:16 apv Status reviewed => tested
2016-02-12 11:37 abv Changeset attached => occt master 770fa4d4
2016-02-12 11:37 abv Assigned To bugmaster => abv
2016-02-12 11:37 abv Status tested => verified
2016-02-12 11:37 abv Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052778
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker